## org.biojava.bio.structure.align.pairwise
Class AltAligComparator

    java.lang.Object
      org.biojava.bio.structure.align.pairwise.AltAligComparator

All Implemented Interfaces:
  Comparator<AlternativeAlignment>

    public class AltAligComparator

extends Object
implements Comparator<AlternativeAlignment>

a comparator to sort AlternativeAlignments based on their number of equivalent residues and RMSD.

Author:
  Andreas Prlic

Constructor Summary
`AltAligComparator()`

Method Summary
`int` `compare(AlternativeAlignment a, AlternativeAlignment b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AltAligComparator

    public AltAligComparator()

Method Detail

### compare

    public int compare(AlternativeAlignment a,
                       AlternativeAlignment b)

  Specified by:
    `compare` in interface `Comparator<AlternativeAlignment>`